FUNCTION::UCALLERS(3stap)

NAME
function::ucallers - Return first n elements of user stack backtrace

SYNOPSIS

    ucallers:string(n:long)

ARGUMENTS

n
    number of levels to descend in the stack (not counting the top level). If n is -1, print the entire stack.

DESCRIPTION

This function returns a string of the first n hex addresses from the backtrace of the user stack. Output may be truncated as per maximum string length (MAXSTRINGLEN).

NOTE

To get (full) backtraces for user space applications and shared shared libraries not mentioned in the current script run stap with -d /path/to/exe-or-so and/or add --ldd to load all needed unwind data.

SEE ALSO
tapset::ucontext(3stap)